Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 9354)
+++ t3lib/class.t3lib_div.php	(revision )
@@ -5394,7 +5486,7 @@
 	 * Require a class for TYPO3
 	 * Useful to require classes from inside other classes (not global scope). A limited set of global variables are available (see function)
 	 */
-	public static function requireOnce($requireFile)	{
+	public static function requireOnce($requireFile) {
 		global $T3_SERVICES, $T3_VAR, $TYPO3_CONF_VARS;
 
 		require_once ($requireFile);
@@ -5428,68 +5520,68 @@
 	 * @param	boolean		If set, the header content will not be encoded.
 	 * @return	boolean		True if mail was accepted for delivery, false otherwise
 	 */
-	public static function plainMailEncoded($email,$subject,$message,$headers='',$encoding='quoted-printable',$charset='',$dontEncodeHeader=false)	{
+	public static function plainMailEncoded($email, $subject, $message, $headers = '', $encoding = 'quoted-printable', $charset = '', $dontEncodeHeader = FALSE) {
-		if (!$charset)	{
+		if (!$charset) {
 			$charset = $GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'] ? $GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'] : 'ISO-8859-1';
 		}
 
 		$email = self::normalizeMailAddress($email);
-		if (!$dontEncodeHeader)	{
+		if (!$dontEncodeHeader) {
 				// Mail headers must be ASCII, therefore we convert the whole header to either base64 or quoted_printable
-			$newHeaders=array();
+			$newHeaders = array();
-			foreach (explode(LF,$headers) as $line)	{	// Split the header in lines and convert each line separately
+			foreach (explode(LF, $headers) as $line) { // Split the header in lines and convert each line separately
-				$parts = explode(': ',$line,2);	// Field tags must not be encoded
+				$parts = explode(': ', $line, 2); // Field tags must not be encoded
-				if (count($parts)==2)	{
+				if (count($parts) == 2) {
 					if (0 == strcasecmp($parts[0], 'from')) {
 						$parts[1] = self::normalizeMailAddress($parts[1]);
 					}
-					$parts[1] = self::encodeHeader($parts[1],$encoding,$charset);
+					$parts[1] = self::encodeHeader($parts[1], $encoding, $charset);
-					$newHeaders[] = implode(': ',$parts);
+					$newHeaders[] = implode(': ', $parts);
 				} else {
-					$newHeaders[] = $line;	// Should never happen - is such a mail header valid? Anyway, just add the unchanged line...
+					$newHeaders[] = $line; // Should never happen - is such a mail header valid? Anyway, just add the unchanged line...
 				}
 			}
-			$headers = implode(LF,$newHeaders);
+			$headers = implode(LF, $newHeaders);
 			unset($newHeaders);
 
-			$email = self::encodeHeader($email,$encoding,$charset);		// Email address must not be encoded, but it could be appended by a name which should be so (e.g. "Kasper Skårhøj <kasperYYYY@typo3.com>")
+			$email = self::encodeHeader($email, $encoding, $charset); // Email address must not be encoded, but it could be appended by a name which should be so (e.g. "Kasper Skårhøj <kasperYYYY@typo3.com>")
-			$subject = self::encodeHeader($subject,$encoding,$charset);
+			$subject = self::encodeHeader($subject, $encoding, $charset);
 		}
 
-		switch ((string)$encoding)	{
+		switch ((string) $encoding) {
 			case 'base64':
-				$headers=trim($headers).LF.
+				$headers = trim($headers) . LF .
-				'Mime-Version: 1.0'.LF.
+						'Mime-Version: 1.0' . LF .
-				'Content-Type: text/plain; charset="'.$charset.'"'.LF.
+						'Content-Type: text/plain; charset="' . $charset . '"' . LF .
-				'Content-Transfer-Encoding: base64';
+						'Content-Transfer-Encoding: base64';
 
-				$message=trim(chunk_split(base64_encode($message.LF))).LF;	// Adding LF because I think MS outlook 2002 wants it... may be removed later again.
+				$message = trim(chunk_split(base64_encode($message . LF))) . LF; // Adding LF because I think MS outlook 2002 wants it... may be removed later again.
-			break;
+				break;
 			case '8bit':
-				$headers=trim($headers).LF.
+				$headers = trim($headers) . LF .
-				'Mime-Version: 1.0'.LF.
+						'Mime-Version: 1.0' . LF .
-				'Content-Type: text/plain; charset='.$charset.LF.
+						'Content-Type: text/plain; charset=' . $charset . LF .
-				'Content-Transfer-Encoding: 8bit';
-			break;
+						'Content-Transfer-Encoding: 8bit';
+				break;
 			case 'quoted-printable':
 			default:
-				$headers=trim($headers).LF.
+				$headers = trim($headers) . LF .
-				'Mime-Version: 1.0'.LF.
+						'Mime-Version: 1.0' . LF .
-				'Content-Type: text/plain; charset='.$charset.LF.
+						'Content-Type: text/plain; charset=' . $charset . LF .
-				'Content-Transfer-Encoding: quoted-printable';
+						'Content-Transfer-Encoding: quoted-printable';
 
-				$message=self::quoted_printable($message);
+				$message = self::quoted_printable($message);
-			break;
+				break;
 		}
 
-		// Headers must be separated by CRLF according to RFC 2822, not just LF.
-		// But many servers (Gmail, for example) behave incorectly and want only LF.
-		// So we stick to LF in all cases.
+			// Headers must be separated by CRLF according to RFC 2822, not just LF.
+			// But many servers (Gmail, for example) behave incorectly and want only LF.
+			// So we stick to LF in all cases.
-		$headers = trim(implode(LF, self::trimExplode(LF, $headers, true)));	// Make sure no empty lines are there.
+		$headers = trim(implode(LF, self::trimExplode(LF, $headers, TRUE))); // Make sure no empty lines are there.
 
 
 		return t3lib_utility_Mail::mail($email, $subject, $message, $headers);
-		}
+	}
 
 	/**
 	 * Implementation of quoted-printable encode.
@@ -5501,42 +5593,42 @@
 	 * @param	integer		Length of the lines, default is 76
 	 * @return	string		The QP encoded string
 	 */
-	public static function quoted_printable($string,$maxlen=76)	{
+	public static function quoted_printable($string, $maxlen = 76) {
 			// Make sure the string contains only Unix linebreaks
-		$string = str_replace(CRLF, LF, $string);	// Replace Windows breaks (\r\n)
+		$string = str_replace(CRLF, LF, $string); // Replace Windows breaks (\r\n)
-		$string = str_replace(CR, LF, $string);		// Replace Mac breaks (\r)
+		$string = str_replace(CR, LF, $string); // Replace Mac breaks (\r)
 
-		$linebreak = LF;			// Default line break for Unix systems.
+		$linebreak = LF; // Default line break for Unix systems.
-		if (TYPO3_OS=='WIN')	{
+		if (TYPO3_OS == 'WIN') {
-			$linebreak = CRLF;	// Line break for Windows. This is needed because PHP on Windows systems send mails via SMTP instead of using sendmail, and thus the linebreak needs to be \r\n.
+			$linebreak = CRLF; // Line break for Windows. This is needed because PHP on Windows systems send mails via SMTP instead of using sendmail, and thus the linebreak needs to be \r\n.
 		}
 
 		$newString = '';
-		$theLines = explode(LF,$string);	// Split lines
+		$theLines = explode(LF, $string); // Split lines
-		foreach ($theLines as $val)	{
+		foreach ($theLines as $val) {
 			$newVal = '';
 			$theValLen = strlen($val);
 			$len = 0;
-			for ($index=0; $index < $theValLen; $index++)	{	// Walk through each character of this line
+			for ($index = 0; $index < $theValLen; $index++) { // Walk through each character of this line
-				$char = substr($val,$index,1);
+				$char = substr($val, $index, 1);
 				$ordVal = ord($char);
-				if ($len>($maxlen-4) || ($len>($maxlen-14) && $ordVal==32))	{
+				if ($len > ($maxlen - 4) || ($len > ($maxlen - 14) && $ordVal == 32)) {
-					$newVal.='='.$linebreak;	// Add a line break
+					$newVal .= '=' . $linebreak; // Add a line break
-					$len=0;			// Reset the length counter
+					$len = 0; // Reset the length counter
 				}
-				if (($ordVal>=33 && $ordVal<=60) || ($ordVal>=62 && $ordVal<=126) || $ordVal==9 || $ordVal==32)	{
+				if (($ordVal >= 33 && $ordVal <= 60) || ($ordVal >= 62 && $ordVal <= 126) || $ordVal == 9 || $ordVal == 32) {
-					$newVal.=$char;		// This character is ok, add it to the message
+					$newVal .= $char; // This character is ok, add it to the message
 					$len++;
 				} else {
-					$newVal.=sprintf('=%02X',$ordVal);	// Special character, needs to be encoded
+					$newVal .= sprintf('=%02X', $ordVal); // Special character, needs to be encoded
-					$len+=3;
+					$len += 3;
 				}
 			}
-			$newVal = preg_replace('/'.chr(32).'$/','=20',$newVal);		// Replaces a possible SPACE-character at the end of a line
+			$newVal = preg_replace('/' . chr(32) . '$/', '=20', $newVal); // Replaces a possible SPACE-character at the end of a line
-			$newVal = preg_replace('/'.TAB.'$/','=09',$newVal);		// Replaces a possible TAB-character at the end of a line
+			$newVal = preg_replace('/' . TAB . '$/', '=09', $newVal); // Replaces a possible TAB-character at the end of a line
-			$newString.=$newVal.$linebreak;
+			$newString .= $newVal . $linebreak;
 		}
-		return preg_replace('/'.$linebreak.'$/','',$newString);		// Remove last newline
+		return preg_replace('/' . $linebreak . '$/', '', $newString); // Remove last newline
 	}
 
 	/**
@@ -5548,42 +5640,42 @@
 	 * @param	string		Charset used for encoding
 	 * @return	string		The encoded string
 	 */
-	public static function encodeHeader($line,$enc='quoted-printable',$charset='iso-8859-1')	{
+	public static function encodeHeader($line, $enc = 'quoted-printable', $charset = 'iso-8859-1') {
 			// Avoid problems if "###" is found in $line (would conflict with the placeholder which is used below)
-		if (strpos($line,'###') !== false) {
+		if (strpos($line, '###') !== FALSE) {
 			return $line;
 		}
 			// Check if any non-ASCII characters are found - otherwise encoding is not needed
-		if (!preg_match('/[^'.chr(32).'-'.chr(127).']/',$line))	{
+		if (!preg_match('/[^' . chr(32) . '-' . chr(127) . ']/', $line)) {
 			return $line;
 		}
 			// Wrap email addresses in a special marker
 		$line = preg_replace('/([^ ]+@[^ ]+)/', '###$1###', $line);
 
 		$matches = preg_split('/(.?###.+###.?|\(|\))/', $line, -1, PREG_SPLIT_NO_EMPTY);
-		foreach ($matches as $part)	{
+		foreach ($matches as $part) {
 			$oldPart = $part;
-			switch ((string)$enc)	{
+			switch ((string) $enc) {
 				case 'base64':
-					$part = '=?'.$charset.'?B?'.base64_encode($part).'?=';
+					$part = '=?' . $charset . '?B?' . base64_encode($part) . '?=';
-				break;
+					break;
 				case 'quoted-printable':
 				default:
-					$qpValue = self::quoted_printable($part,1000);
+					$qpValue = self::quoted_printable($part, 1000);
-					if ($part!=$qpValue)	{
+					if ($part != $qpValue) {
-						// Encoded words in the header should not contain non-encoded:
-						// * spaces. "_" is a shortcut for "=20". See RFC 2047 for details.
-						// * question mark. See RFC 1342 (http://tools.ietf.org/html/rfc1342)
+							// Encoded words in the header should not contain non-encoded:
+							// * spaces. "_" is a shortcut for "=20". See RFC 2047 for details.
+							// * question mark. See RFC 1342 (http://tools.ietf.org/html/rfc1342)
 						$search = array(' ', '?');
 						$replace = array('_', '=3F');
 						$qpValue = str_replace($search, $replace, $qpValue);
-						$part = '=?'.$charset.'?Q?'.$qpValue.'?=';
+						$part = '=?' . $charset . '?Q?' . $qpValue . '?=';
 					}
-				break;
+					break;
 			}
 			$line = str_replace($oldPart, $part, $line);
 		}
-		$line = preg_replace('/###(.+?)###/', '$1', $line);	// Remove the wrappers
+		$line = preg_replace('/###(.+?)###/', '$1', $line); // Remove the wrappers
 
 		return $line;
 	}
@@ -5599,27 +5691,27 @@
 	 * @return	string		Processed message content
 	 * @see makeRedirectUrl()
 	 */
-	public static function substUrlsInPlainText($message,$urlmode='76',$index_script_url='')	{
+	public static function substUrlsInPlainText($message, $urlmode = '76', $index_script_url = '') {
 			// Substitute URLs with shorter links:
-		foreach (array('http','https') as $protocol)	{
+		foreach (array('http', 'https') as $protocol) {
-			$urlSplit = explode($protocol.'://',$message);
+			$urlSplit = explode($protocol . '://', $message);
 			foreach ($urlSplit as $c => &$v) {
-				if ($c)	{
+				if ($c) {
 					$newParts = preg_split('/\s|[<>"{}|\\\^`()\']/', $v, 2);
-					$newURL = $protocol.'://'.$newParts[0];
+					$newURL = $protocol . '://' . $newParts[0];
 
-					switch ((string)$urlmode)	{
+					switch ((string) $urlmode) {
 						case 'all':
-							$newURL = self::makeRedirectUrl($newURL,0,$index_script_url);
+							$newURL = self::makeRedirectUrl($newURL, 0, $index_script_url);
-						break;
+							break;
 						case '76':
-							$newURL = self::makeRedirectUrl($newURL,76,$index_script_url);
+							$newURL = self::makeRedirectUrl($newURL, 76, $index_script_url);
-						break;
+							break;
 					}
-					$v = $newURL . substr($v,strlen($newParts[0]));
+					$v = $newURL . substr($v, strlen($newParts[0]));
 				}
 			}
-			$message = implode('',$urlSplit);
+			$message = implode('', $urlSplit);
 		}
 
 		return $message;
@@ -5634,13 +5726,13 @@
 	 * @param	string		URL of "index script" - the prefix of the "?RDCT=..." parameter. If not supplyed it will default to t3lib_div::getIndpEnv('TYPO3_REQUEST_DIR').'index.php'
 	 * @return	string		Processed URL
 	 */
-	public static function makeRedirectUrl($inUrl,$l=0,$index_script_url='')	{
+	public static function makeRedirectUrl($inUrl, $l = 0, $index_script_url = '') {
-		if (strlen($inUrl)>$l)	{
+		if (strlen($inUrl) > $l) {
-			$md5 = substr(md5($inUrl),0,20);
+			$md5 = substr(md5($inUrl), 0, 20);
 			$count = $GLOBALS['TYPO3_DB']->exec_SELECTcountRows(
 				'*',
 				'cache_md5params',
-				'md5hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($md5, 'cache_md5params')
+					'md5hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($md5, 'cache_md5params')
 			);
 			if (!$count) {
 				$insertFields = array(
@@ -5652,8 +5744,8 @@
 
 				$GLOBALS['TYPO3_DB']->exec_INSERTquery('cache_md5params', $insertFields);
 			}
-			$inUrl=($index_script_url ? $index_script_url : self::getIndpEnv('TYPO3_REQUEST_DIR').'index.php').
+			$inUrl = ($index_script_url ? $index_script_url : self::getIndpEnv('TYPO3_REQUEST_DIR') . 'index.php') .
-				'?RDCT='.$md5;
+					'?RDCT=' . $md5;
 		}
 
 		return $inUrl;
@@ -5666,9 +5758,11 @@
 	 * @param	integer		Fontsize for freetype function call
 	 * @return	integer		Compensated fontsize based on $GLOBALS['TYPO3_CONF_VARS']['GFX']['TTFdpi']
 	 */
-	public static function freetypeDpiComp($font_size)	{
+	public static function freetypeDpiComp($font_size) {
 		$dpi = intval($GLOBALS['TYPO3_CONF_VARS']['GFX']['TTFdpi']);
-		if ($dpi!=72)	$font_size = $font_size/$dpi*72;
+		if ($dpi != 72) {
+			$font_size = $font_size / $dpi * 72;
+		}
 		return $font_size;
 	}
 
@@ -5678,13 +5772,13 @@
 	 * @return	void
 	 * @see sysLog()
 	 */
-	public static function initSysLog()	{
+	public static function initSysLog() {
 		global $TYPO3_CONF_VARS;
 
 			// for CLI logging name is <fqdn-hostname>:<TYPO3-path>
 			// Note that TYPO3_REQUESTTYPE is not used here as it may not yet be defined
-		if (defined('TYPO3_cliMode') && TYPO3_cliMode)	{
+		if (defined('TYPO3_cliMode') && TYPO3_cliMode) {
-			$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'] = self::getHostname($requestHost=FALSE).':'.PATH_site;
+			$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'] = self::getHostname($requestHost = FALSE) . ':' . PATH_site;
 		}
 			// for Web logging name is <protocol>://<request-hostame>/<site-path>
 		else {
@@ -5692,29 +5786,29 @@
 		}
 
 			// init custom logging
-		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'])) {
-			$params = array('initLog'=>TRUE);
+			$params = array('initLog' => TRUE);
 			$fakeThis = FALSE;
-			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'] as $hookMethod)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'] as $hookMethod) {
-				self::callUserFunction($hookMethod,$params,$fakeThis);
+				self::callUserFunction($hookMethod, $params, $fakeThis);
 			}
 		}
 
 			// init TYPO3 logging
-		foreach (explode(';',$TYPO3_CONF_VARS['SYS']['systemLog'],2) as $log)	{
+		foreach (explode(';', $TYPO3_CONF_VARS['SYS']['systemLog'], 2) as $log) {
-			list($type,$destination) = explode(',',$log,3);
+			list($type, $destination) = explode(',', $log, 3);
 
-			if ($type == 'syslog')	{
+			if ($type == 'syslog') {
-				if (TYPO3_OS == 'WIN')	{
+				if (TYPO3_OS == 'WIN') {
 					$facility = LOG_USER;
 				} else {
-					$facility = constant('LOG_'.strtoupper($destination));
+					$facility = constant('LOG_' . strtoupper($destination));
 				}
 				openlog($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'], LOG_ODELAY, $facility);
 			}
 		}
 
-		$TYPO3_CONF_VARS['SYS']['systemLogLevel'] = self::intInRange($TYPO3_CONF_VARS['SYS']['systemLogLevel'],0,4);
+		$TYPO3_CONF_VARS['SYS']['systemLogLevel'] = self::intInRange($TYPO3_CONF_VARS['SYS']['systemLogLevel'], 0, 4);
 		$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogInit'] = TRUE;
 	}
 
@@ -5722,80 +5816,86 @@
 	 * Logs message to the system log.
 	 * This should be implemented around the source code, including the Core and both frontend and backend, logging serious errors.
 	 * If you want to implement the sysLog in your applications, simply add lines like:
-	 * 		t3lib_div::sysLog('[write message in English here]', 'extension_key', 'severity');
+	 *		 t3lib_div::sysLog('[write message in English here]', 'extension_key', 'severity');
 	 *
 	 * @param	string		Message (in English).
 	 * @param	string		Extension key (from which extension you are calling the log) or "Core"
 	 * @param	integer		Severity: 0 is info, 1 is notice, 2 is warning, 3 is error, 4 is fatal error
 	 * @return	void
 	 */
-	public static function sysLog($msg, $extKey, $severity=0) {
+	public static function sysLog($msg, $extKey, $severity = 0) {
 		global $TYPO3_CONF_VARS;
 
-		$severity = self::intInRange($severity,0,4);
+		$severity = self::intInRange($severity, 0, 4);
 
 			// is message worth logging?
-		if (intval($TYPO3_CONF_VARS['SYS']['systemLogLevel']) > $severity)	return;
+		if (intval($TYPO3_CONF_VARS['SYS']['systemLogLevel']) > $severity) {
+			return;
+		}
 
 			// initialize logging
-		if (!$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogInit'])	{
+		if (!$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogInit']) {
 			self::initSysLog();
 		}
 
 			// do custom logging
 		if (isset($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog']) &&
 				is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'])) {
-			$params = array('msg'=>$msg, 'extKey'=>$extKey, 'backTrace'=>debug_backtrace(), 'severity'=>$severity);
+			$params = array('msg' => $msg, 'extKey' => $extKey, 'backTrace' => debug_backtrace(), 'severity' => $severity);
 			$fakeThis = FALSE;
-			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'] as $hookMethod)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLog'] as $hookMethod) {
-				self::callUserFunction($hookMethod,$params,$fakeThis);
+				self::callUserFunction($hookMethod, $params, $fakeThis);
 			}
 		}
 
 			// TYPO3 logging enabled?
-		if (!$TYPO3_CONF_VARS['SYS']['systemLog'])	return;
+		if (!$TYPO3_CONF_VARS['SYS']['systemLog']) {
+			return;
+		}
 
 		$dateFormat = $GLOBALS['TYPO3_CONF_VARS']['SYS']['ddmmyy'];
 		$timeFormat = $GLOBALS['TYPO3_CONF_VARS']['SYS']['hhmm'];
 
 			// use all configured logging options
-		foreach (explode(';',$TYPO3_CONF_VARS['SYS']['systemLog'],2) as $log)	{
+		foreach (explode(';', $TYPO3_CONF_VARS['SYS']['systemLog'], 2) as $log) {
-			list($type,$destination,$level) = explode(',',$log,4);
+			list($type, $destination, $level) = explode(',', $log, 4);
 
 				// is message worth logging for this log type?
-			if (intval($level) > $severity)	continue;
+			if (intval($level) > $severity) {
+				continue;
+			}
 
-			$msgLine = ' - '.$extKey.': '.$msg;
+			$msgLine = ' - ' . $extKey . ': ' . $msg;
 
 				// write message to a file
-			if ($type == 'file')	{
+			if ($type == 'file') {
 				$file = fopen($destination, 'a');
-				if ($file)     {
+				if ($file) {
-					flock($file, LOCK_EX);  // try locking, but ignore if not available (eg. on NFS and FAT)
+					flock($file, LOCK_EX); // try locking, but ignore if not available (eg. on NFS and FAT)
-					fwrite($file, date($dateFormat.' '.$timeFormat).$msgLine.LF);
+					fwrite($file, date($dateFormat . ' ' . $timeFormat) . $msgLine . LF);
-					flock($file, LOCK_UN);    // release the lock
+					flock($file, LOCK_UN); // release the lock
 					fclose($file);
 				}
 			}
 				// send message per mail
-			elseif ($type == 'mail')	{
+			elseif ($type == 'mail') {
-				list($to,$from) = explode('/',$destination);
+				list($to, $from) = explode('/', $destination);
 				t3lib_utility_Mail::mail($to, 'Warning - error in TYPO3 installation',
-					'Host: '.$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'].LF.
+						'Host: ' . $TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'] . LF .
-					'Extension: '.$extKey.LF.
+								'Extension: ' . $extKey . LF .
-					'Severity: '.$severity.LF.
+								'Severity: ' . $severity . LF .
-					LF.$msg,
+								LF . $msg,
-					($from ? 'From: '.$from : '')
+					($from ? 'From: ' . $from : '')
 				);
 			}
 				// use the PHP error log
-			elseif ($type == 'error_log')	{
+			elseif ($type == 'error_log') {
-				error_log($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'].$msgLine, 0);
+				error_log($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['systemLogHost'] . $msgLine, 0);
 			}
 				// use the system log
-			elseif ($type == 'syslog')	{
+			elseif ($type == 'syslog') {
-				$priority = array(LOG_INFO,LOG_NOTICE,LOG_WARNING,LOG_ERR,LOG_CRIT);
+				$priority = array(LOG_INFO, LOG_NOTICE, LOG_WARNING, LOG_ERR, LOG_CRIT);
-				syslog($priority[(int)$severity], $msgLine);
+				syslog($priority[(int) $severity], $msgLine);
 			}
 		}
 	}
@@ -5806,7 +5906,7 @@
 	 * The result is meant to make sense to developers during development or debugging of a site.
 	 * The idea is that this function is only a wrapper for external extensions which can set a hook which will be allowed to handle the logging of the information to any format they might wish and with any kind of filter they would like.
 	 * If you want to implement the devLog in your applications, simply add lines like:
-	 * 		if (TYPO3_DLOG)	t3lib_div::devLog('[write message in english here]', 'extension key');
+	 *		 if (TYPO3_DLOG)	t3lib_div::devLog('[write message in english here]', 'extension key');
 	 *
 	 * @param	string		Message (in english).
 	 * @param	string		Extension key (from which extension you are calling the log)
@@ -5814,14 +5914,14 @@
 	 * @param	array		Additional data you want to pass to the logger.
 	 * @return	void
 	 */
-	public static function devLog($msg, $extKey, $severity=0, $dataVar=FALSE)	{
+	public static function devLog($msg, $extKey, $severity = 0, $dataVar = FALSE) {
 		global $TYPO3_CONF_VARS;
 
-		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['devLog']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['devLog'])) {
-			$params = array('msg'=>$msg, 'extKey'=>$extKey, 'severity'=>$severity, 'dataVar'=>$dataVar);
+			$params = array('msg' => $msg, 'extKey' => $extKey, 'severity' => $severity, 'dataVar' => $dataVar);
 			$fakeThis = FALSE;
-			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['devLog'] as $hookMethod)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_div.php']['devLog'] as $hookMethod) {
-				self::callUserFunction($hookMethod,$params,$fakeThis);
+				self::callUserFunction($hookMethod, $params, $fakeThis);
 			}
 		}
 	}
@@ -5850,9 +5950,9 @@
 			$destination = self::getDeprecationLogFileName();
 			$file = @fopen($destination, 'a');
 			if ($file) {
-				flock($file, LOCK_EX);  // try locking, but ignore if not available (eg. on NFS and FAT)
+				flock($file, LOCK_EX); // try locking, but ignore if not available (eg. on NFS and FAT)
 				@fwrite($file, $date . $msg . LF);
-				flock($file, LOCK_UN);    // release the lock
+				flock($file, LOCK_UN); // release the lock
 				@fclose($file);
 			}
 		}
@@ -5875,11 +5975,11 @@
 	 */
 	public static function getDeprecationLogFileName() {
 		return PATH_typo3conf .
-			'deprecation_' .
-			self::shortMD5(
-				PATH_site . $GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey']
-			) .
-			'.log';
+				'deprecation_' .
+				self::shortMD5(
+					PATH_site . $GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey']
+				) .
+				'.log';
 	}
 
 	/**
@@ -5910,11 +6010,11 @@
 		if ($trail[1]['class']) {
 			$errorMsg .= ' of class ' . $trail[1]['class'];
 		}
-		$errorMsg .= ' is deprecated (called from '.$trail[1]['file'] . '#' . $trail[1]['line'] . ', defined in ' . $function->getFileName() . '#' . $function->getStartLine() . ')';
+		$errorMsg .= ' is deprecated (called from ' . $trail[1]['file'] . '#' . $trail[1]['line'] . ', defined in ' . $function->getFileName() . '#' . $function->getStartLine() . ')';
 
 			// write a longer message to the deprecation log: <function> <annotion> - <trace> (<source>)
 		$logMsg = $trail[1]['class'] . $trail[1]['type'] . $trail[1]['function'];
-		$logMsg .= '() - ' . $msg.' - ' . self::debug_trail();
+		$logMsg .= '() - ' . $msg . ' - ' . self::debug_trail();
 		$logMsg .= ' (' . substr($function->getFileName(), strlen(PATH_site)) . '#' . $function->getStartLine() . ')';
 		self::deprecationLog($logMsg);
 	}
@@ -5928,15 +6028,15 @@
 	 * @param	integer		Long string values are shortened to this length. Default: 20
 	 * @return	string		Output string with key names and their value as string
 	 */
-	public static function arrayToLogString(array $arr, $valueList=array(), $valueLength=20) {
+	public static function arrayToLogString(array $arr, $valueList = array(), $valueLength = 20) {
 		$str = '';
-		if (!is_array($valueList))	{
+		if (!is_array($valueList)) {
 			$valueList = self::trimExplode(',', $valueList, 1);
 		}
 		$valListCnt = count($valueList);
-		foreach ($arr as $key => $value)	{
+		foreach ($arr as $key => $value) {
-			if (!$valListCnt || in_array($key, $valueList))	{
+			if (!$valListCnt || in_array($key, $valueList)) {
-				$str .= (string)$key.trim(': '.self::fixed_lgd_cs(str_replace(LF,'|',(string)$value), $valueLength)).'; ';
+				$str .= (string) $key . trim(': ' . self::fixed_lgd_cs(str_replace(LF, '|', (string) $value), $valueLength)) . '; ';
 			}
 		}
 		return $str;
@@ -5950,35 +6050,39 @@
 	 * @param	string		Override the default path (e.g. used by the install tool)
 	 * @return	string		Compiled command that deals with IM6 & GraphicsMagick
 	 */
-	public static function imageMagickCommand($command, $parameters, $path='')	{
+	public static function imageMagickCommand($command, $parameters, $path = '') {
 		$gfxConf = $GLOBALS['TYPO3_CONF_VARS']['GFX'];
-		$isExt = (TYPO3_OS=='WIN' ? '.exe' : '');
+		$isExt = (TYPO3_OS == 'WIN' ? '.exe' : '');
-		$switchCompositeParameters=false;
+		$switchCompositeParameters = FALSE;
 
-		if(!$path)	{ $path = $gfxConf['im_path']; }
+		if (!$path) {
+			$path = $gfxConf['im_path'];
+		}
 		$path = self::fixWindowsFilePath($path);
 
 		$im_version = strtolower($gfxConf['im_version_5']);
 		$combineScript = $gfxConf['im_combine_filename'] ? trim($gfxConf['im_combine_filename']) : 'combine';
 
-		if($command==='combine')	{	// This is only used internally, has no effect outside
+		if ($command === 'combine') { // This is only used internally, has no effect outside
 			$command = 'composite';
 		}
 
 			// Compile the path & command
-		if($im_version==='gm')	{
+		if ($im_version === 'gm') {
-			$switchCompositeParameters=true;
+			$switchCompositeParameters = TRUE;
 			$path = escapeshellarg($path . 'gm' . $isExt) . ' ' . $command;
-		} else	{
+		} else {
-			if($im_version==='im6')	{ $switchCompositeParameters=true; }
+			if ($im_version === 'im6') {
+				$switchCompositeParameters = TRUE;
+			}
 			$path = escapeshellarg($path . (($command == 'composite') ? $combineScript : $command) . $isExt);
 		}
 
 			// strip profile information for thumbnails and reduce their size
 		if ($parameters && $command != 'identify' && $gfxConf['im_useStripProfileByDefault'] && $gfxConf['im_stripProfileCommand'] != '') {
-			if (strpos($parameters, $gfxConf['im_stripProfileCommand']) === false) {
+			if (strpos($parameters, $gfxConf['im_stripProfileCommand']) === FALSE) {
 					// Determine whether the strip profile action has be disabled by TypoScript:
-				if ($parameters !== '-version' && strpos($parameters, '###SkipStripProfile###') === false) {
+				if ($parameters !== '-version' && strpos($parameters, '###SkipStripProfile###') === FALSE) {
 					$parameters = $gfxConf['im_stripProfileCommand'] . ' ' . $parameters;
 				} else {
 					$parameters = str_replace('###SkipStripProfile###', '', $parameters);
@@ -5986,18 +6090,18 @@
 			}
 		}
 
-		$cmdLine = $path.' '.$parameters;
+		$cmdLine = $path . ' ' . $parameters;
 
-		if($command=='composite' && $switchCompositeParameters)	{	// Because of some weird incompatibilities between ImageMagick 4 and 6 (plus GraphicsMagick), it is needed to change the parameters order under some preconditions
+		if ($command == 'composite' && $switchCompositeParameters) { // Because of some weird incompatibilities between ImageMagick 4 and 6 (plus GraphicsMagick), it is needed to change the parameters order under some preconditions
 			$paramsArr = self::unQuoteFilenames($parameters);
 
-			if(count($paramsArr)>5)	{	// The mask image has been specified => swap the parameters
+			if (count($paramsArr) > 5) { // The mask image has been specified => swap the parameters
-				$tmp = $paramsArr[count($paramsArr)-3];
+				$tmp = $paramsArr[count($paramsArr) - 3];
-				$paramsArr[count($paramsArr)-3] = $paramsArr[count($paramsArr)-4];
+				$paramsArr[count($paramsArr) - 3] = $paramsArr[count($paramsArr) - 4];
-				$paramsArr[count($paramsArr)-4] = $tmp;
+				$paramsArr[count($paramsArr) - 4] = $tmp;
 			}
 
-			$cmdLine = $path.' '.implode(' ', $paramsArr);
+			$cmdLine = $path . ' ' . implode(' ', $paramsArr);
 		}
 
 		return $cmdLine;
